seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/08/07, 20:58:53


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Pakete sollen entfernt werden...?  (Read 243 times)

0 Members and 1 Guest are viewing this topic.

Offline jure

  • User
  • Posts: 526
Pakete sollen entfernt werden...?
« on: 2020/07/10, 16:23:58 »
Hallo zusammen,

wieso sollen seit einiger Zeit diese python-* Pakete entfernt werden, oder können die wirklich weg ?

Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  libpyside2-5.11 libreoffice-style-tango python-pivy python-pyqt5 python-pyqt5.qtwebkit python-pyside2.qtcore python-pyside2.qtgui
  python-pyside2.qtopengl python-pyside2.qtsvg python-pyside2.qtwidgets

Code: [Select]
System:    Host: siductionbox Kernel: 5.7.5-towo.2-siduction-amd64 x86_64 bits: 64 Desktop: KDE Plasma 5.17.5
           Distro: Debian GNU/Linux bullseye/sid
Machine:   Type: Desktop Mobo: ASUSTeK model: P8Z77-M v: Rev 1.xx serial: 121104458001751 BIOS: American Megatrends v: 2203
           date: 12/18/2015
CPU:       Quad Core: Intel Core i5-3570 type: MCP speed: 3545 MHz min/max: 1600/3800 MHz
Graphics:  Device-1: Intel Xeon E3-1200 v2/3rd Gen Core processor Graphics driver: i915 v: kernel
           Display: x11 server: X.Org 1.20.8 driver: intel resolution: 1920x1200~60Hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 2500 (IVB GT1) v: 4.2 Mesa 20.1.1
Gruss Juergen

Offline hschn

  • User
  • Posts: 96
Re: Pakete sollen entfernt werden...?
« Reply #1 on: 2020/07/10, 20:44:15 »
Hallo,
sieh mal was apt policy sagt:

Code: [Select]
apt policy  libpyside2-5.11 libreoffice-style-tango python-pivy python-pyqt5 python-pyqt5.qtwebkit python-pyside2.qtcore python-pyside2.qtgui
libreoffice-style-tango:
  Installiert:           (keine)
  Installationskandidat: (keine)
  Versionstabelle:
     1:6.4.5-1 -1
        100 /var/lib/dpkg/status
N: Paket libpyside2-5.11 kann nicht gefunden werden.
N: Mittels des Musters »libpyside2-5.11« konnte kein Paket gefunden werden.
N: Paket python-pivy kann nicht gefunden werden.
N: Paket python-pyqt5 kann nicht gefunden werden.
N: Paket python-pyqt5.qtwebkit kann nicht gefunden werden.
N: Mittels des Musters »python-pyqt5.qtwebkit« konnte kein Paket gefunden werden.
N: Paket python-pyside2.qtcore kann nicht gefunden werden.
N: Mittels des Musters »python-pyside2.qtcore« konnte kein Paket gefunden werden.
N: Paket python-pyside2.qtgui kann nicht gefunden werden.
N: Mittels des Musters »python-pyside2.qtgui« konnte kein Paket gefunden werden.

lass sie also ziehen

Viele Grüße
Mögen hätt' ich schon wollen, aber dürfen habe ich mich nicht getraut (Karl Valentin)

Offline jure

  • User
  • Posts: 526
Re: Pakete sollen entfernt werden...?
« Reply #2 on: 2020/07/10, 22:45:22 »
hmmm .....

Code: [Select]
apt policy  libpyside2-5.11 libreoffice-style-tango python-pivy python-pyqt5 python-pyqt5.qtwebkit python-pyside2.qtcore python-pyside2.qtgui
libpyside2-5.11:
  Installiert:           5.11.2-3+b1
  Installationskandidat: 5.11.2-3+b1
  Versionstabelle:
 *** 5.11.2-3+b1 100
        100 /var/lib/dpkg/status
libreoffice-style-tango:
  Installiert:           1:6.4.5~rc1-2
  Installationskandidat: 1:6.4.5~rc1-2
  Versionstabelle:
 *** 1:6.4.5~rc1-2 100
        100 /var/lib/dpkg/status
python-pivy:
  Installiert:           0.6.4-1
  Installationskandidat: 0.6.4-1
  Versionstabelle:
 *** 0.6.4-1 100
        100 /var/lib/dpkg/status
python-pyqt5:
  Installiert:           5.14.1+dfsg-2
  Installationskandidat: 5.14.1+dfsg-2
  Versionstabelle:
 *** 5.14.1+dfsg-2 100
        100 /var/lib/dpkg/status
python-pyqt5.qtwebkit:
  Installiert:           5.14.1+dfsg-2
  Installationskandidat: 5.14.1+dfsg-2
  Versionstabelle:
 *** 5.14.1+dfsg-2 100
        100 /var/lib/dpkg/status
python-pyside2.qtcore:
  Installiert:           5.11.2-3+b1
  Installationskandidat: 5.11.2-3+b1
  Versionstabelle:
 *** 5.11.2-3+b1 100
        100 /var/lib/dpkg/status
python-pyside2.qtgui:
  Installiert:           5.11.2-3+b1
  Installationskandidat: 5.11.2-3+b1
  Versionstabelle:
 *** 5.11.2-3+b1 100
Gruss Juergen

Offline Geier0815

  • User
  • Posts: 493
Re: Pakete sollen entfernt werden...?
« Reply #3 on: 2020/07/11, 00:41:56 »
Guck doch mal genau hin: Die Installationskandidaten sind die die schon installiert sind. Und als einzige Quelle wird /var/lib/dpkg/status angegeben, sprich nur das was auf deinem Rechner ist. Keine andere Quelle bietet die Pakete noch an. Und damit sind sie in sid nicht mehr vorhanden und können weg, es sei denn das Du ganz genau weißt das Du sie brauchst und auf hold setzt.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline hschn

  • User
  • Posts: 96
Re: Pakete sollen entfernt werden...?
« Reply #4 on: 2020/07/11, 08:37:05 »
Hallo

@Geier0815: genau richtig
@jure: ich habe hier noch einen Befehl von towo, mit dem sich überprüfen lässt, welche installierte Pakete nicht mehr in den Repositorien sind

Code: [Select]
apt-show-versions | awk '/No available version in archive/{print $1}'
Aber aufpassen und genau überlegen, welche man deinstalliert. manche Pakete werden trotzdem benötigt


Mögen hätt' ich schon wollen, aber dürfen habe ich mich nicht getraut (Karl Valentin)

Offline jure

  • User
  • Posts: 526
Re: Pakete sollen entfernt werden...?
« Reply #5 on: 2020/07/11, 11:21:10 »
ich danke euch für`s Augen öffnen bzgl. der Quelle, ich habe somit die 10 Pakete gehen lassen, alles soweit gut.
Gruss Juergen